/*******************************************************************************
 * FoxBillboardUIFlagBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxBillboardUIFlagBase extends FoxBillboardUIObjectBase within GFxMoviePlayer
    native(HUD)
    config(HUD);

var transient FoxGameObject_Flag FlagObject;
var transient Vector FlagLocation;

event TeamIsSet(int TeamIndex)
{
    // End:0x1F
    if(TeamIndex == 0)
    {
        as_SetLabel("A");
    }
    // End:0x2C
    else
    {
        as_SetLabel("B");
    }
    //return;    
}

defaultproperties
{
    symbolname="billBoard_Stationary"
    bWantsTeamColor=true
    bDrawDistance=true
    bSupportsOpacityChangeInTightAim=true
}